Subject: bug#36161: 27.0.50; display-buffer-in-previous-window might choose not to use PREVIOUS-WINDOW

From: Dmitry Gutov <[email-masked]>
Date: Tue, 11 Jun 2019 16:01:11 +0300

On 11.06.2019 11:16, martin rudalics wrote:
>  > In particular, the last paragraph. When PREVIOUS-WINDOW and the selected
>  > window are the same, it can select a different window, contrary to its
>  > description.
> 
> Right.  I amended doc-string and info entry accordingly.

FWIW, emacs-26 was pretty far from my mind when I filed this.

But now I realize that we should avoid using this function in xref 
either way in case we decide to distribute it on ELPA as a core package 
for older Emacsen. So thanks.

> We can also change the semantics of this function to fit the old
> doc-string but I'd prefer to not do that on the release branch.

Do you know of any reasons not to do that? If only to make this function 
shorter and easier to understand, that would be a good thing.

TBH, the new docstring seems a lot more confusing to me. "may override" 
doesn't really tell us what the function is going to do.